Package org.eclipse.net4j.util.collection

# Class CaseInsensitiveStringSet

java.lang.Object
java.util.AbstractCollection<String>
java.util.AbstractSet<String>
java.util.HashSet<String>
org.eclipse.net4j.util.collection.CaseInsensitiveStringSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<String>`, `Collection<String>`, `Set<String>`

public class CaseInsensitiveStringSet extends HashSet<String>

Since:
  3.2
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CaseInsensitiveStringSet()`
`CaseInsensitiveStringSet(int initialCapacity)`
`CaseInsensitiveStringSet(int initialCapacity, float loadFactor)`
`CaseInsensitiveStringSet(Collection<? extends String> c)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(String e)`
`boolean`
`addAll(Collection<? extends String> c)`
`boolean`
`contains(Object o)`
`boolean`
`containsAll(Collection<?> c)`
`protected String`
`convert(Object o)`
`protected Collection<?>`
`convert(Collection<?> c)`
`boolean`
`isLowerCase()`
`boolean`
`remove(Object o)`
`boolean`
`removeAll(Collection<?> c)`
`boolean`
`retainAll(Collection<?> c)`

### Methods inherited from class java.util.HashSet

`clear, clone, isEmpty, iterator, newHashSet, size, spliterator, toArray, toArray`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`equals, hashCode`

## Constructor Details

### CaseInsensitiveStringSet

public CaseInsensitiveStringSet()

### CaseInsensitiveStringSet

public CaseInsensitiveStringSet(Collection<? extends String> c)

### CaseInsensitiveStringSet

public CaseInsensitiveStringSet(int initialCapacity, float loadFactor)

### CaseInsensitiveStringSet

public CaseInsensitiveStringSet(int initialCapacity)

## Method Details

### isLowerCase

public boolean isLowerCase()

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<String>`
Specified by:
  `contains` in interface `Set<String>`
Overrides:
  `contains` in class `HashSet<String>`

### add

public boolean add(String e)

Specified by:
  `add` in interface `Collection<String>`
Specified by:
  `add` in interface `Set<String>`
Overrides:
  `add` in class `HashSet<String>`

### remove

public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<String>`
Specified by:
  `remove` in interface `Set<String>`
Overrides:
  `remove` in class `HashSet<String>`

### removeAll

public boolean removeAll(Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<String>`
Specified by:
  `removeAll` in interface `Set<String>`
Overrides:
  `removeAll` in class `AbstractSet<String>`

### containsAll

public boolean containsAll(Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<String>`
Specified by:
  `containsAll` in interface `Set<String>`
Overrides:
  `containsAll` in class `AbstractCollection<String>`

### addAll

public boolean addAll(Collection<? extends String> c)

Specified by:
  `addAll` in interface `Collection<String>`
Specified by:
  `addAll` in interface `Set<String>`
Overrides:
  `addAll` in class `AbstractCollection<String>`

### retainAll

public boolean retainAll(Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<String>`
Specified by:
  `retainAll` in interface `Set<String>`
Overrides:
  `retainAll` in class `AbstractCollection<String>`

### convert

protected String convert(Object o)

### convert

protected Collection<?> convert(Collection<?> c)